<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
	xmlns:tm="http://java.sun.com/jsf/composite/terminal/1_0/components">
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.Tabela_Jogo-Rodada.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	 	 
	   	<p:outputLabel value="#{msg['pages.Tabela_Jogo-Rodada.hello']}"/>
  
    <p:dataTable id="JogoRoda" var="JogoRoda" value="#{dtEditView.CateCamp}" editable="true" editMode="cell" widgetVar="cellCars">
    	<p:column headerText="Categorias">
        	<h:outputText value="#{Categorias.nome}" />
    	</p:column>
    	
    	<p:column headerText="Rodada">
           <p:cellEditor>
               <f:facet name="output"><h:outputText value="#{Rodada.numero}" /></f:facet>
               <f:facet name="input">
                   <h:selectOneMenu value="#{Rodada.numero}" style="width:100%">
                       <f:selectItems value="#{dtEditView.numero}" var="man" itemLabel="#{man}" itemValue="#{man}" />
                   </h:selectOneMenu>
               </f:facet>
           </p:cellEditor>
       </p:column>
       
       <p:column headerText="Partidas">
           <p:cellEditor>
               <f:facet name="output"><h:outputText value="#{Partida.numero}" /></f:facet>
               <f:facet name="input">
                   <h:selectOneMenu value="#{Partida.numero}" style="width:100%">
                       <f:selectItems value="#{dtEditView.numero}" var="man" itemLabel="#{man}" itemValue="#{man}" />
                   </h:selectOneMenu>
               </f:facet>
           </p:cellEditor>
       </p:column>
	</p:dataTable>
	   
	</ui:define>
</ui:composition>

